> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List agent tools



## OpenAPI

````yaml /api-reference/openapi.json get /v1/a2a/agents/{agentId}/tools
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/a2a/agents/{agentId}/tools:
    get:
      tags:
        - A2A
      summary: List agent tools
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: agentId
          in: path
      responses:
        '200':
          description: Tools
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/A2ATool'
                required:
                  - data
      security:
        - bearerAuth: []
components:
  schemas:
    A2ATool:
      type: object
      properties:
        id:
          type: string
        agent_id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        input_schema:
          type: object
          additionalProperties: {}
        output_schema:
          type: object
          additionalProperties: {}
        pricing:
          type: object
          properties:
            amount:
              type: string
            currency:
              type: string
          required:
            - amount
            - currency
        created_at:
          type: string
          format: date-time
      required:
        - id
        - agent_id
        - name
        - input_schema
        - created_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````